查询海外仓备货单列表
POST
/erp/sc/routing/owms/inbound/listInbound支持查询海外仓备货单列表,对应系统【仓库】>【海外仓备货单】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/listInbound | HTTPS | POST | 1 |
请求参数
statusintegersub_statusintegers_widarray<any>r_widarray<any>overseas_order_nostringcreate_time_fromstringcreate_time_tostringpage_sizeintegerpageintegerdate_typestringis_deleteinteger请求示例
{
"s_wid": 53,
"r_wid": 9,
"status": 60,
"overseas_order_no": "OWS240730001",
"create_time_from": "2024-07-25",
"create_time_to": "2024-07-31",
"page_size": 20,
"page": 1,
"date_type": "create_time",
"is_delete": 0
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
overseas_order_nostring必填inbound_order_nostring必填customer_reference_nostring必填s_widinteger必填s_wnamestring必填r_widinteger必填r_wnamestring必填logistics_idinteger必填logistics_namestring必填remarkstring必填statusinteger必填rollback_remarkstring必填is_deleteinteger必填transportation_modestring必填transportation_namestring必填uidinteger必填create_userstring必填update_userstring必填create_timestring必填estimated_timestring必填audit_handle_timeobject必填send_good_handle_timestring必填receive_good_handle_timestring必填real_delivery_timestringupdate_timestring必填productsarray<object>必填隐藏子属性
product_idinteger必填skustring必填product_namestring必填fnskustring必填pic_urlstring必填seller_arrarray<object>必填隐藏子属性
sidstring必填seller_namestring必填stock_numinteger必填receive_numinteger必填product_valid_numinteger必填sidstring必填product_codestring必填remarkstring必填batch_record_listarray<object>隐藏子属性
seller_idstringwidnumberfnskustringproduct_idnumberbatch_nostringgood_numnumberbatch_order_snstringpurchase_order_snsarray<any>supplier_namesarray<any>unit_storage_coststringunit_coststringunit_head_range_coststringunit_purchase_pricestringstorage_good_numnumberlogisticsarray<object>必填隐藏子属性
logistics_order_nostringlogistics_moneystringlogistics_money_unitstringother_moneystringother_money_unitstringtrack_order_nostringother_money_remarkstringreal_logistics_moneynumberreal_logistics_money_unitstringreal_other_moneynumberreal_other_money_unitstringreal_other_money_remarkstringwool_idstringlogistics_list_typeintegerhead_logistics_listobject隐藏子属性
tracking_listarray<object>必填隐藏子属性
tracking_nostringtransport_typeinteger必填order_type_codeinteger必填shippersstringremarkstringestimate_expenses_listobject必填隐藏子属性
chargeable_weightstringpricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填actual_expenses_listobject必填隐藏子属性
tax_feestring必填tax_fee_currencystring必填chargeable_weightstring必填pricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "0867EB04-4D5F-4F0B-BA55-6075DFC32B94",
"response_time": "2024-08-01 16:05:00",
"data": [
{
"overseas_order_no": "OWS240730001",
"inbound_order_no": "",
"customer_reference_no": "",
"s_wid": 53,
"s_wname": "义乌",
"r_wid": 9,
"r_wname": "小徐仓",
"logistics_id": 502,
"logistics_name": "765432123456789(顺丰物流3456788)",
"remark": "",
"status": 60,
"rollback_remark": "",
"transportation_mode":"241243642281943553",
"transportation_name":"海卡",
"is_delete": 0,
"uid": 33,
"update_user": "朱蒙蒙",
"create_user": "朱蒙蒙",
"audit_handle_time": "2024-07-30 11:05:20",
"send_good_handle_time": "2024-07-30 11:05:28",
"receive_good_handle_time": "2024-07-30 11:05:40",
"create_time": "2024-07-30 11:05:17",
"real_delivery_time": "2024-07-30",
"estimated_time": "2024-07-30",
"products": [
{
"product_id": 33080,
"sku": "abc003-BWY",
"product_code": "",
"product_name": "abc003-BWY-xin",
"fnsku": "",
"pic_url": "",
"sid": "0",
"seller_arr": [],
"stock_num": 10,
"receive_num": 10,
"product_valid_num": null,
"remark": "",
"s_wid": 53,
"s_wname": ""
}
],
"logistics": [
{
"logistics_order_no": "",
"track_order_no": "",
"logistics_money": null,
"logistics_money_unit": "CNY",
"other_money": null,
"other_money_unit": "CNY",
"other_money_remark": "",
"real_logistics_money": null,
"real_logistics_money_unit": "CNY",
"real_other_money": null,
"real_other_money_unit": "CNY",
"real_other_money_remark": "",
"wool_id": "242469427479240704"
}
],
"logistics_list_type": 0,
"head_logistics_list": {
"tracking_list": [],
"estimate_expenses_list": null,
"actual_expenses_list": null
},
"update_time": "2024-07-30 11:05:40"
}
],
"total": 1
}